package com.ylx.massage.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ylx.massage.domain.Alarm;
import com.ylx.massage.domain.vo.AlarmListVO;
import com.ylx.order.domain.dto.AlarmSubmitDTO;

/**
 * 报警记录表(YlxAlarm)表服务接口
 *
 * @author makejava
 * @since 2024-04-28 09:19:05
 */
public interface AlarmService extends IService<Alarm> {

    Page<AlarmListVO> selectAlarmPage(Page<AlarmListVO> page, Alarm alarm);

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    AlarmListVO queryById(String id);


    /**
     * 新增数据
     *
     * @param ylxAlarm 实例对象
     * @return 实例对象
     */

    /**
     * 修改数据
     *
     * @param alarm 实例对象
     * @return 实例对象
     */
    Alarm update(Alarm alarm);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(String id);


    Boolean submitAlarm(AlarmSubmitDTO dto);
}
